Set allocator metadata item
- PUT /platform/infrastructure/allocators/{allocator_id}/metadata/{key}
Adds or updates a single item in the allocator metadata.
Path Parameters
-
allocator_idstringrequired -
The allocator identifier.
-
keystringrequired -
The metadata item key.
Query Parameters
-
versionstring Checks for conflicts against the metadata version, then returns the value in the
x-cloud-resource-versionheader.
Responses
The allocator metadata was successfully changed (the updated JSON is returned)
The value specified for the metadata tag is empty. (code: allocators.invalid_empty_metadata_item)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
- The allocator specified by {allocator_id} cannot be found. (code:
allocators.allocator_not_found) - The metadata item specified by {key} cannot be found. (code:
allocators.metadata_item_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response